Page MenuHomePhabricator

[Regression wmf16] Including a template/comment/table/gallery/math node in a slug makes the editor completely unresponsive
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

1.Open a page with VE
2.Including an image and then save the page to create a slug just above it
3.Reopen the page, place the cursor in the slug and insert any template.

Observed Result:
Observe that, all the nodes gets squished towards the left most border of the page, try clicking on CE , no cursor appears, you cannot make anymore edit in this session

Following error found in the console:
Error: Offset could not be translated to a DOM element and offset: 208
TypeError: $(...).closest(...)[0] is undefined

Details

Related Gerrit Patches:
VisualEditor/VisualEditor : masterSimplify slug behaviour

Event Timeline

Ryasmeen raised the priority of this task from to High.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 12:15 AM
Ryasmeen updated the task description. (Show Details)Feb 11 2015, 12:16 AM
Ryasmeen set Security to None.
Ryasmeen renamed this task from [Regression wmf-16] Including a template in a slug makes the editor completely unresponsive to [Regression wmf-16] Including a template/comment/table/gallery/math node in a slug makes the editor completely unresponsive.Feb 11 2015, 12:30 AM
Ryasmeen updated the task description. (Show Details)

It also happened when I tried to add Page Title at the beginning of this page in test2

https://test2.wikipedia.org/w/index.php?title=10feb2015ff&veaction=edit&vesection=1

gerritbot added a subscriber: gerritbot.

Change 190022 had a related patch set uploaded (by Esanders):
Simplify slug behaviour

https://gerrit.wikimedia.org/r/190022

Patch-For-Review

Ryasmeen assigned this task to Esanders.Feb 12 2015, 6:50 PM
Ryasmeen moved this task from External and Administrivia to Blocked on the VisualEditor board.
Jdforrester-WMF renamed this task from [Regression wmf-16] Including a template/comment/table/gallery/math node in a slug makes the editor completely unresponsive to [Regression wmf16] Including a template/comment/table/gallery/math node in a slug makes the editor completely unresponsive.Feb 18 2015, 8:11 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.

Change 190022 merged by jenkins-bot:
Simplify slug behaviour

https://gerrit.wikimedia.org/r/190022

Verified the fix in Betalabs with Chrome and Firefox with all kind of elements

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 25 2015, 4:28 PM